Package org.postgresql.gss

# Class GSSInputStream

java.lang.Object
java.io.InputStream
org.postgresql.gss.GSSInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class GSSInputStream extends InputStream

## Constructor Summary

Constructors
Constructor
Description
`GSSInputStream(InputStream wrapped, GSSContext gssContext, MessageProp messageProp)`

## Method Summary

Modifier and Type
Method
Description
`int`
`read()`
`int`
`read(byte[] buffer, int pos, int len)`

### Methods inherited from class java.io.InputStream

`available, close, mark, markSupported, nullInputStream, read, readAllBytes, readNBytes, readNBytes, reset, skip, skipNBytes, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GSSInputStream

public GSSInputStream(InputStream wrapped, GSSContext gssContext, MessageProp messageProp)

## Method Details

### read

public int read() throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`

### read

public int read(byte[] buffer, int pos, int len) throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`